Subject: Re: [BUG] PREFIX environment variable ignored by git config --system

From: Junio C Hamano <[email-masked]>
Date: Thu, 30 Jan 2025 13:57:41 -0800

<[email-masked]> writes:

> On January 29, 2025 7:24 PM, Junio C Hamano wrote:
>><[email-masked]> writes:
>>
>>> This appears to do exactly what I am looking for. When I create that
>>> file, git picks up config values from that file.The question is, is
>>> this environment variable actually sanctioned or is it just coincidence?
> It does
>>exactly what I am looking for.
>>
>>How about reading "git config --help"?
>
> Yup. It's there, thanks. So should I figure out how to sync the website with
> this
> or ignore it?

It depends on how good a friend you are to them, right ;-)?

https://github.com/progit/progit2/issues?q=is%3Aissue%20state%3Aopen%20PREFIX

seems to say that the issue has not been reported, and doing so
might be a good first step.

We'd probably want a bit of history digging to see if we ever
supported "$PREFIX/etc/gitconfig" before opening that issue, though.
How to phrase the issue would be different between "we used to but
no longer support this since version X" and "we never supported such
a variable".  This is a #leftoverbit for those without a lot of
coding skills but patience, being good at using "git blame", and a
good notetaking skills to summarize findings, are needed.

Another good thing to do is to match the environment variables and
their descriptions we have in the output from "git help git" with
that page.  We may have acquired a few more of them since that page
of the book was written 10 years ago, for example.  This would be a
good #leftoverbit for those without any coding experience but want
to improve the documentation that exists in the overall ecosystem.

Thanks.